cURL
curl --request PUT \
--url https://api.example.com/api/notifications/deployments/{deploymentId}/wiz/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"id": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"apiUrl": "<string>",
"tokenUrl": "<string>"
}
'import requests
url = "https://api.example.com/api/notifications/deployments/{deploymentId}/wiz/{id}"
payload = {
"deploymentId": 123,
"id": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"apiUrl": "<string>",
"tokenUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
id: '<string>',
clientId: '<string>',
clientSecret: '<string>',
apiUrl: '<string>',
tokenUrl: '<string>'
})
};
fetch('https://api.example.com/api/notifications/deployments/{deploymentId}/wiz/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wizCredential": {
"id": "<string>",
"deploymentId": 123,
"clientId": "<string>",
"apiUrl": "<string>",
"tokenUrl": "<string>"
}
}Wiz Credentials
Put apinotificationsdeployments wiz
PUT
/
api
/
notifications
/
deployments
/
{deploymentId}
/
wiz
/
{id}
cURL
Authorizations
Get access to data with your user's JSON Web Token.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I